camel-charset-map
3
CAMEL Library

# camel-charset-map

## Synopsis

                        CamelCharset;
    void                camel_charset_init                  (CamelCharset *);
    void                camel_charset_step                  (CamelCharset *,
                                                             const char *in,
                                                             int len);
    const char*         camel_charset_best_name             (CamelCharset *);
    const char*         camel_charset_best                  (const char *in,
                                                             int len);
    const char*         camel_charset_iso_to_windows        (const char *isocharset);

## Description

## Details

### CamelCharset

    typedef struct {
    	unsigned int mask;
    	int level;
    } CamelCharset;

### camel_charset_init ()

    void                camel_charset_init                  (CamelCharset *);

`Param1` :

### camel_charset_step ()

    void                camel_charset_step                  (CamelCharset *,
                                                             const char *in,
                                                             int len);

`Param1` :

`in` :

`len` :

### camel_charset_best_name ()

    const char*         camel_charset_best_name             (CamelCharset *);

`Param1` :

Returns :

### camel_charset_best ()

    const char*         camel_charset_best                  (const char *in,
                                                             int len);

`in` :

`len` :

Returns :

### camel_charset_iso_to_windows ()

    const char*         camel_charset_iso_to_windows        (const char *isocharset);

`isocharset` :

  a canonicalised ISO charset

Returns :

  the equivalent Windows charset.